Bug 1564859 - rtl8723be_pci crash on kernel 4.16 on HP HP Notebook/81E1, BIOS F.11 07/14/2016
Summary: rtl8723be_pci crash on kernel 4.16 on HP HP Notebook/81E1, BIOS F.11 07/14/2016
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-08 10:23 UTC by Johannes Hofmann
Modified: 2018-04-14 16:06 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-14 16:06:24 UTC
Type: Bug


Attachments (Terms of Use)
archive of abrt oops (22.95 KB, application/x-gzip)
2018-04-08 10:48 UTC, Johannes Hofmann
no flags Details

Description Johannes Hofmann 2018-04-08 10:23:21 UTC
Description of problem:
WLAN (rtl8723be) not working with Kernel 4.16 on Fedora 28 beta.


Version-Release number of selected component (if applicable):
kernel-4.16.0-300.fc28.x86_64


How reproducible:
Every time i boot the driver crashes 

Steps to Reproduce:
1. Happens on every boot


Actual results:
kernel bug hits and wlan driver does not work

Expected results:
Working WLAN

Additional info:
Base Board Information
        Manufacturer: HP
        Product Name: 81E1
        Version: KBC Version 71.15
        Serial Number: PFXFE00WB40FOH



#### Output with kernel 4.15.14-300.fc27.x86_64 booted
[root@flummi ~]# lspci -s 02:00.0  -v
02:00.0 Network controller: Realtek Semiconductor Co., Ltd. RTL8723BE PCIe Wireless Network Adapter
        Subsystem: Hewlett-Packard Company Device 81c1
        Flags: bus master, fast devsel, latency 0, IRQ 18
        I/O ports at 2000 [size=256]
        Memory at 91200000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [40] Power Management version 3
        Capabilities: [50] MSI: Enable- Count=1/1 Maskable- 64bit+
        Capabilities: [70] Express Endpoint, MSI 00
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [140] Device Serial Number 00-23-b7-fe-ff-4c-e0-00
        Capabilities: [150] Latency Tolerance Reporting
        Capabilities: [158] L1 PM Substates
        Kernel driver in use: rtl8723be
        Kernel modules: rtl8723be

Comment 1 Johannes Hofmann 2018-04-08 10:26:06 UTC
With Fedora 27 and kernel 4.15 the WLAN device is working when set ant_sel=2 module option.

Comment 2 Johannes Hofmann 2018-04-08 10:48:03 UTC
Created attachment 1418874 [details]
archive of abrt oops

Comment 3 Johannes Hofmann 2018-04-14 16:06:24 UTC
Module is not in the kernel but from outside repository.
Fixed it by getting the latest Sources. Sorry for the hassle.


Note You need to log in before you can comment on or make changes to this bug.